Skip to main content
DELETE
/
v2
/
annotation-queues
/
{annotation_queue_id}
/
records
Delete annotation queue records
curl --request DELETE \
  --url https://api.arize.com/v2/annotation-queues/{annotation_queue_id}/records \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "record_ids": [
    "aqr_abc123",
    "aqr_def456"
  ]
}
'
{
  "status": 400,
  "title": "Invalid request parameters",
  "detail": "The 'name' field is required and must be a non-empty string.",
  "instance": "/resource",
  "type": "https://arize.com/docs/ax/rest-reference/errors#invalid-request"
}

Authorizations

Authorization
string
header
required

Most Arize AI endpoints require authentication. For those endpoints that require authentication, include your API key in the request header using the format

Path Parameters

annotation_queue_id
string
required

The unique annotation queue identifier (base64) A universally unique identifier (base64-encoded opaque string).

Example:

"RW50aXR5OjEyMzQ1"

Body

application/json

Body containing the IDs of annotation queue records to delete

record_ids
string[]
required

The IDs of the annotation queue records to delete.

Required array length: 1 - 100 elements

A universally unique identifier (base64-encoded opaque string).

Response

Annotation queue records successfully deleted